ros-noetic-husky-control (0.6.10-1focal) focal; urgency=high

  * Mod: Set 'publish_cmd' param to true in husky_control/config
    - With this change the diff drive controller will output the final cmd_vel to /husky_velocity_controller/cmd_vel_out after any filters are applied (e.g., speed/acceleration limits).
  * Contributors: Stephen Phillips

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Mar 2024 04:00:00 -0000

ros-noetic-husky-control (0.6.9-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-noetic-husky-control (0.6.8-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2023 04:00:00 -0000

ros-noetic-husky-control (0.6.7-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 10 Mar 2023 05:00:00 -0000

ros-noetic-husky-control (0.6.6-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-control (0.6.5-1focal) focal; urgency=high

  * Fixed all scan topics to use front/scan.
  * Disable keyboard input by default; on a normal robot this is launched by the systemd job, where there will never be any keyboard input.
  * Separate the keyboard teleop to a separate topic, add the new topic to the twist_mux
  * Move the keyboard teleop launch into the main teleop file, add an arg to optionally disable it
  * Update package.xml
  * Update CHANGELOG.rst
  * Update CMakeLists.txt
  * Update package.xml
  * Update CHANGELOG.rst
  * Update teleop_keyboard.launch
  * Update CMakeLists.txt
  * Remove scripts
  * Update CHANGELOG.rst
  * Update teleop_keyboard.launch
  * Create teleop_keyboard.launch
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Update package.xml
  * Update package.xml
  * Update package.xml
  * Update package.xml
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Update teleop_keyboard.py
  * Create teleop_keyboard.py
  * Update LICENSE
  * Create LICENSE
  * Contributors: Chris Iverach-Brereton, Tinker Twins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-control (0.6.3-1focal) focal; urgency=high

  * Enable subst_value when loading config_extras. (#226 <https://github.com/husky/husky/issues/226>)
  * Remove whitespace
  * Re-add base_frame_id and velocity_rolling_window_size
  * Update DiffDriveController params
    - Remove estimate_velocity_from_position: false because it does not exist as a param in DiffDriveController, or anywhere in ros-controllers
    - Remove base_frame_id: base_link because the default value of base_frame_id is already base_link, as per http://wiki.ros.org/diff_drive_controller
    - Remove velocity_rolling_window_size: 2 so velocity_rolling_window_size can take on the default value of 10. A higher value reduces the amount of noise in the odometry, as per: https://docs.google.com/document/d/1x1HOtLs9Z9jfuKdtSMM_YWOrWM4p08LJVt6vQVohVWI/edit#
  * Contributors: Chris I-B, Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-control (0.6.2-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.1-1focal) focal; urgency=high

  * Overwrite 'wheel_radius_multiplier' with env. var. HUSKY_WHEEL_MULTIPLIER
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * predict odom->base_link tf to current time
  * Contributors: Alexandre Iooss, Ebrahim Shahrivar, Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-control (0.6.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-control (0.5.1-1focal) focal; urgency=high

  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-control (0.5.0-1focal) focal; urgency=high

  * Disabled multimaster.
  * Add the link_name parameter to fix the interactive markers in rviz
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Aug 2021 04:00:00 -0000

ros-noetic-husky-control (0.4.4-1focal) focal; urgency=high

  * clearer wording
  * change if to unless
  * added env var and if-statement to disable robot ekf
  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Removed Paul Bovbel as maintainer.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Contributors: Chris I-B, Chris Iverach-Brereton, Jose Mastrangelo, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-noetic-husky-control (0.4.3-1focal) focal; urgency=high

  * Update the udev rules to map the controllers to appropriate symlinks instead of relying on device enumeration to save us
  * Remove the device override for the PS4 controller since we pair with bluez now (which maps the device to /dev/input/js0)
  * Fix the filename in the launch fike
  * Make the Logitech controller config file explicit. Add ascii-art controllers to label the axes to make configuration easier
  * Contributors: Chris I-B, Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-husky-control (0.4.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-noetic-husky-control (0.4.1-1focal) focal; urgency=high

  * Added envar for joy device.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-noetic-husky-control (0.4.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-control (0.3.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-control (0.3.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-husky-control (0.3.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-noetic-husky-control (0.3.1-1focal) focal; urgency=high

  * Updated default controller to be PS4.  Can be set back to logitech (legacy) by setting HUSKY_LOGITECH environment variable
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-husky-control (0.3.0-1focal) focal; urgency=high

  * Updated all package versions to 0.2.6.
  * Made multimaster not come up by default in husky_control
  * [husky_control] Fixed typo.
  * Updated the rolling window size for more responsive control
  * Fixed typo in URLs.
  * Added dependency on husky_description to husky_control/package.xml
  * Remove defunct email address
  * Updated maintainers.
  * Added more details to the config_extras workflow.
  * Temp commit
  * Add interface definitions
  * Revert "Remove twist_mux config."
    (cherry picked from commit 4ae73877d0d3b0db8e6bc6be18f0648ea310d372)
  * Update bringup for multirobot
  * Purge more UR; Implement urdf_extras
  * Update URDF for multirobot
  * Remove twist_mux config.
  * Replace twist-mux
  * Contributors: Administrator, Dave Niewinski, Paul Bovbel, Peiyi Chen, TheDash, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-noetic-husky-control (0.2.7-1focal) focal; urgency=high

  * Update localization.yaml
  * Update localization.yaml
  * Remapping the move_base topic to be compatible with cpr autonomy core.
  * Contributors: Peiyi Chen, Tom Moore

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-noetic-husky-control (0.2.6-1focal) focal; urgency=high

  * Added angular_scale_turbo to teleop.config.
  * Move interactive marker launch from teleop into control launch file
  * Added fix for ur5 arm in gazebo
  * Contributors: Paul Bovbel, Devon Ash, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-noetic-husky-control (0.2.5-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Apr 2015 04:00:00 -0000

ros-noetic-husky-control (0.2.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-noetic-husky-control (0.2.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-noetic-husky-control (0.2.2-1focal) focal; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-noetic-husky-control (0.2.1-1focal) focal; urgency=high

  * Update control params with base_link
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-noetic-husky-control (0.2.0-1focal) focal; urgency=high

  * Add UR5 arm simulation control config
  * Contributors: Paul Bovbel, Devon Ash

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-noetic-husky-control (0.0.4-1focal) focal; urgency=high

  * Namespace fixes
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Feb 2015 05:00:00 -0000

ros-noetic-husky-control (0.0.3-1focal) focal; urgency=high

  * Update website
  * Add author
  * Get rid of chassis_link, switch to base_footprint and base_link
  * Turn on 2d mode; future proof robot_localization parameters
  * Refactor configuration files into modules
  * Re-enable IMU orientation fusion
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-noetic-husky-control (0.0.2-1focal) focal; urgency=high

  * Use odom position for ekf
  * Update wheel separation multiplier for slippage
  * Restore teleop twist joy
  * Set 2D mode, and add move_base cmd channel
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jan 2015 05:00:00 -0000

ros-noetic-husky-control (0.0.1-1focal) focal; urgency=high

  * Initial development of husky_control for Husky indigo release
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 12 Jan 2015 05:00:00 -0000


